### Function

# GObject TypeClass ref

deprecated: 2.84

#### Declaration [src]

    GObjectTypeClass*
    g_type_class_ref (
      GType type
    )

#### Description [src]

Increments the reference count of the class structure belonging to `type`.

This function will demand-create the class if it doesn’t exist already.

Deprecated since: 2.84

Use `g_type_class_get()` instead.

#### Parameters

`type`

  Type: `GType`

  Type ID of a classed type.

#### Return value

Type: `GTypeClass`

The `GTypeClass` structure for the given type ID.

The data is owned by the called function.